---
title: MediaQueryListEvent.MediaQueryListEvent()
slug: Web/API/MediaQueryListEvent/MediaQueryListEvent
tags:
  - API
  - CSSOM View
  - Constructor
  - Media Queries
  - MediaQueryListEvent
  - Reference
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <strong><code>MediaQueryListEvent</code></strong> constructor creates a new <code>MediaQueryListEvent</code> instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>myMqlEvent</em> = <em>new MediaQueryListEvent(init);</em></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>
 <p>init</p>
 </dt>
 <dd>
 <p>An init object that defines features of the new object instance. The available properties are:</p>

 <ul>
  <li>media: A {{DOMxRef("DOMString")}} representing a serialized media query.</li>
  <li>matches: A {{JSxRef("Boolean")}} representing the media query status — <code>true</code> if it matches, <code>false</code> if not.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js line-numbers  language-js notranslate"><code class="language-js"><span class="keyword token">var</span> media <span class="operator token">=</span> <span class="string token">'(max-width: 600px)'</span><span class="punctuation token">;</span>
<span class="keyword token">var</span> matches <span class="operator token">=</span> <span class="keyword token">true</span><span class="punctuation token">;</span>

<span class="keyword token">var</span> myMediaQueryListEvent <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">MediaQueryListEvent</span><span class="punctuation token">(</span><span class="punctuation token">{</span>media<span class="punctuation token">,</span> matches<span class="punctuation token">}</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM View", "#dom-mediaquerylistevent-mediaquerylistevent", "MediaQueryListEvent()")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaQueryListEvent.MediaQueryListEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Media_queries">Media queries</a></li>
 <li><a href="/en-US/docs/CSS/Using_media_queries_from_code">Using media queries from code</a></li>
 <li>{{DOMxRef("window.matchMedia()")}}</li>
 <li>{{DOMxRef("MediaQueryList")}}</li>
 <li>{{DOMxRef("MediaQueryListEvent")}}</li>
</ul>
